package com.tzld.piaoquan.ad.engine.service.predict.model.threshold;

import com.tzld.piaoquan.ad.engine.service.predict.model.Model;
import com.tzld.piaoquan.ad.engine.service.predict.param.ThresholdPredictModelParam;
import lombok.Getter;
import lombok.Setter;

import java.util.Map;

@Getter
@Setter
public abstract class ThresholdPredictModel implements Model {

    private final String name;

    abstract public <T extends ThresholdPredictModelParam> Map<String,Object>  predict(T modelParam);

    abstract String initName();
    public ThresholdPredictModel(){
        this.name=initName();
    }


}
